Bug 62967 - NFS client sent lots of packets to server
NFS client sent lots of packets to server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-08 13:16 EDT by hjl
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 09:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2002-04-08 13:16:12 EDT
The skipjack-beta2 NFS client sent lots of packets to server when the server was
slow to respond.  I was building a toolchain with the source tree on the NFS
server and the build tree on the local disk. It started with

Apr  5 23:59:29 dhcp-140-193 kernel: nfs: task 39263 can't get a request slot
Apr  5 23:59:29 dhcp-140-193 kernel: nfs: task 39264 can't get a request slot
Apr  5 23:59:32 dhcp-140-193 kernel: nfs: task 39265 can't get a request slot
Apr  5 23:59:32 dhcp-140-193 kernel: nfs: task 39266 can't get a request slot
Apr  5 23:59:32 dhcp-140-193 kernel: nfs: task 39267 can't get a request slot
Apr  5 23:59:37 dhcp-140-193 kernel: nfs: task 39268 can't get a request slot
Apr  6 00:03:34 dhcp-140-193 kernel: nfs: task 39326 can't get a request slot
Apr  6 00:24:02 dhcp-140-193 kernel: nfs: server filerdude not responding, still
tr
ying
Apr  6 00:26:02 dhcp-140-193 kernel: nfs: server filerdude not responding, still
tr
ying
Apr  6 00:38:02 dhcp-140-193 kernel: nfs: server filerdude not responding, still
tr
ying
Apr  6 02:04:27 dhcp-140-193 kernel: nfs: server shanghai not responding, still
try
ing
Apr  6 02:35:44 dhcp-140-193 kernel: nfs: task 39450 can't get a request slot

eth0      Link encap:Ethernet  HWaddr 00:B0:D0:3D:89:E7  
          UP BROADCAST NOTRAILERS RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2583182 errors:0 dropped:0 overruns:101 frame:0
          TX packets:125856633 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:2214386030 (2111.8 Mb)  TX bytes:3476413949 (3315.3 Mb)
          Interrupt:9 Base address:0xdc80 

We had to disconnet the skipjack-beta2 machine from the network. I think the NFS
cl
ient
in skipjack-beta2 is pretty much broken in this regard.
Comment 1 Gilbert E. Detillieux 2002-05-17 13:02:39 EDT
See also bug # 64921, NFS version 3 hangs.
Comment 2 Ali-Reza Anghaie 2003-04-04 07:54:14 EST
I'm not seeing unusual NFS behavior as the above two in RHL 9. The bug search shows this 
as against 9. Is it really? -Ali 

Note You need to log in before you can comment on or make changes to this bug.